org.deidentifier.arx.framework.data

## Class GeneralizationHierarchy

- java.lang.Object
- - org.deidentifier.arx.framework.data.GeneralizationHierarchy

    public class GeneralizationHierarchy
    extends java.lang.Object

The class GeneralizationHierarchy.

Author:
  Fabian Prasser, Florian Kohlmayer

### Constructor Summary

Constructors
Constructor and Description
`GeneralizationHierarchy(java.lang.String name, java.lang.String[][] hierarchy, int dimension, Dictionary dictionary)` Creates a new generalization hierarchy.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkMonotonicity(DataManager manager)` Throws an exception, if the hierarchy is not monotonic.
`int[][]` `getArray()` Returns the array.
`int[]` `getDistinctValues()` Returns the number of distinct values.
`int[]` `getDistinctValues(int level)` Returns the distinct values.
`int` `getHeight()` Returns the height of the hierarchy.
`int` `getLevels()` Returns the number of levels
`java.lang.String` `getName()` Returns the name.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GeneralizationHierarchy

    public GeneralizationHierarchy(java.lang.String name,
                                   java.lang.String[][] hierarchy,
                                   int dimension,
                                   Dictionary dictionary)

Creates a new generalization hierarchy.

Parameters:
  `name` -
  `hierarchy` -
  `dimension` -
  `dictionary` -

### Method Detail

#### checkMonotonicity

    public void checkMonotonicity(DataManager manager)

Throws an exception, if the hierarchy is not monotonic.

Parameters:
  `manager` -

#### getArray

    public int[][] getArray()

Returns the array.

Returns:

#### getDistinctValues

    public int[] getDistinctValues()

Returns the number of distinct values.

Returns:

#### getDistinctValues

    public int[] getDistinctValues(int level)

Returns the distinct values.

Parameters:
  `level` -
Returns:

#### getHeight

    public int getHeight()

Returns the height of the hierarchy.

Returns:

#### getLevels

    public int getLevels()

Returns the number of levels

#### getName

    public java.lang.String getName()

Returns the name.

Returns: